package eu.mhsl.minecraft.WorldMuseum.items;

import eu.mhsl.minecraft.WorldMuseum.items.actionItems.IActionItem;
import eu.mhsl.minecraft.WorldMuseum.items.actionItems.LeaveItem;
import eu.mhsl.minecraft.WorldMuseum.items.actionItems.WorldSelector;
import org.bukkit.entity.Player;

import java.util.ArrayList;
import java.util.List;

public class ActionItemManager {
    private static ActionItemManager INSTANCE;
    private final List<IActionItem> actionObjects = new ArrayList<>();

    public ActionItemManager() {
        initItems();
    }

    private void initItems() {
        actionObjects.add(new WorldSelector());
        actionObjects.add(new LeaveItem());
    }

    public static ActionItemManager getInstance() {
        if (INSTANCE == null) INSTANCE = new ActionItemManager();
        return INSTANCE;
    }
    public void givePlayerItems(Player p) {
        actionObjects.forEach(actionObject -> p.getInventory().setItem(actionObject.getItemLocation(), actionObject.getItem()));
    }

    public List<IActionItem> getActionObjects() {
        return actionObjects;
    }
}
